from conan import ConanFile
from conan.errors import ConanInvalidConfiguration
from conan.tools.cmake import CMake, CMakeToolchain, CMakeDeps
from conan.tools.files import copy, get, rmdir, rm
from conan.tools.scm import Version
import os

required_conan_version = ">=2.0.0"

class KeplerFlashlight(ConanFile):
    # Optional metadata
    # not sure we really need any data here since we're not publishing
    name = "kepler_flashlight"
    version = "1.0"
    description = "Native Profiler for fetching perf data from kepler device."
    topics = ("list", "of", "topics")
    settings = "os", "arch", "compiler", "build_type"

    def config_options(self):
        # Add any project-specific configure steps
        pass

    def configure(self):
        # Add any project-specific configure steps
        pass

    def validate(self):
        # Add any project-specific validation settings here.
        pass

    def generate(self):
        tc = CMakeToolchain(self)
        tc.generate()
        cmake = CMakeDeps(self)
        cmake.generate()

    def build(self):
        cmake = CMake(self)
        cmake.configure()
        cmake.build()

    def package(self):
        cmake = CMake(self)
        cmake.install()
